#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int t;
    long long a, b;
    cin >> t;
    for(int i=1; i<=t; i++)
    {
        cin >> a >> b;
        bool p=false;
        for(int j=1; j<=sqrt(a); j+=2)
        {
            if(a%j==0)
            {
                long long x=j, y=a/j;
                long long k=x^y;
                if(k==b)
                {
                    p=true;
                    cout << x << " " << y << endl;
                    break;
                }
            }
        }
        if(!p)
            cout << "-1" << endl;
    }
    return 0;
}